/* waveGen: a simple wave form generator
 * Implements sine and rectangular wave forms. Wave type is selected by 
 * a command line argument 
 * copyright U. Raich 2017
 * This program is part of the workshop on embedded systems held at 
 * the University of Cape Coast in the winter semester 2017
 * It has been released under the GNU General Public License
 * see gnu.org/licenses/gpl.html
 */

#include <stdio.h>
#include <string.h>
#include "genWave.h"

int main(int argc, char ** argv) {
  unsigned short *wave,*wavePtr;
  int i;
  /* check that the user gave 1 argument */
  if (argc != 2) {
    printf("Usage: %s wave form\n",argv[0]);
    printf(" where wave form is \"sine\" or \"rect\"\n");
    return(-1);
  }
  /* check that the argument is either sine or rect */
  if (!strcmp("sine",argv[1])) {
    printf("# sine wave\n");
    wave=genWave(sine);
  }
  else if (!strcmp("rect",argv[1])) {
    printf("# rectangular wave\n");
    wave=genWave(rect);
  }
  else {
    printf("waveGen: Unknown wave type\n");
  }
  /*
    print the wave only if it has been created
  */
  if (wave != NULL) {
    wavePtr = wave;
    for (i=0;i<WAVE_FORM_LENGTH;i++)
      printf("%d\n",*wavePtr++);
    /*
    wavePtr = wave;
    for (i=0;i<WAVE_FORM_LENGTH;i++)
      printf("0x%03x\n",*wavePtr++);
    */
  }
}
