/*
 * include file associated with genWave.c which implements the generation 
 * of the wave form
 * copyright U. Raich 2017
 * This program is part of the workshop on embedded systems held at 
 * the University of Cape Coast in the winter semester 2017
 * It has been released under the GNU General Public License
 * see gnu.org/licenses/gpl.html
 */

#ifndef __GENWAVE_H__
#define __GENWAVE_H__
enum waveType {sine,rect};
#define WAVE_FORM_LENGTH 100       /* size of the short array conataining 
                                      the wave form */
#define WAVE_FORM_RESOLUTION 4095  /* 12 bits */

/* error codes */
#define WAVE_GEN_SUCCESS           0
/* function prototypes */
unsigned short *genWave(enum waveType);
#endif
